Bug 12884 - There isn't an easy way to edit a users object
There isn't an easy way to edit a users object
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Python
4.7.0rc1
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-06 12:25 UTC by Rowland Penny
Modified: 2017-07-14 08:17 UTC (History)
1 user (show)

See Also:


Attachments
patch (6.44 KB, patch)
2017-07-06 14:17 UTC, Rowland Penny
ab: review+
Details
Patch 2 (2.54 KB, patch)
2017-07-06 14:18 UTC, Rowland Penny
ab: review+
Details
patch 3 (1.48 KB, patch)
2017-07-06 14:19 UTC, Rowland Penny
ab: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rowland Penny 2017-07-06 12:25:54 UTC
If you want to edit a users object in AD, you have to open the users DN in ldbedit. This entails a long command line.
Comment 1 Rowland Penny 2017-07-06 14:17:32 UTC
Created attachment 13346 [details]
patch

Patch 1 of 3
Comment 2 Rowland Penny 2017-07-06 14:18:50 UTC
Created attachment 13347 [details]
Patch 2

patch 2 of 3
Comment 3 Rowland Penny 2017-07-06 14:19:22 UTC
Created attachment 13348 [details]
patch 3

patch 3 of 3
Comment 4 Alexander Bokovoy 2017-07-06 15:19:03 UTC
Comment on attachment 13346 [details]
patch

LGTM.
Comment 5 Alexander Bokovoy 2017-07-06 15:19:35 UTC
Comment on attachment 13347 [details]
Patch 2

LGTM
Comment 6 Alexander Bokovoy 2017-07-06 15:19:54 UTC
Comment on attachment 13348 [details]
patch 3

LGTM
Comment 7 Alexander Bokovoy 2017-07-06 15:20:37 UTC
These patches look good. Karolin, please commit them to 4.7.
Comment 8 Stefan Metzmacher 2017-07-13 05:31:21 UTC
Pushed to autobuild-v4-7-test.

Please use git format-patch --stdout in future and only attach one
file for the whole patchset
Comment 9 Stefan Metzmacher 2017-07-14 08:17:17 UTC
(In reply to Stefan Metzmacher from comment #8)

Pushed to v4-7-test